Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Check licenses and ebuild dependency
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo Chat
View previous topic :: View next topic  
Author Message
glegall
n00b
n00b


Joined: 12 Apr 2017
Posts: 29
Location: Marseille

PostPosted: Wed Apr 12, 2017 9:42 am    Post subject: Check licenses and ebuild dependency Reply with quote

hi !!

I'm new to the community of gentoo :)

Is there a program to check licenses and dependency from ebuild ?

many ebuild need dependence and licenses, I would like to know if this program exists.

thank's you !! (I'm French)
_________________
Linux is life !
Back to top
View user's profile Send private message
fcl
n00b
n00b


Joined: 31 Dec 2016
Posts: 67

PostPosted: Wed Apr 12, 2017 10:41 am    Post subject: Reply with quote

Hello and welcome to Gentoo, glegall 8)

Do you mean from existing ebuild or checking dependencies for making your own ebuild?

The former is easy with equery, provided by app-portage/gentoolkit.

A dependency graph:
Code:
$ equery depgraph alsa-utils-1.1.3
 * Searching for alsa-utils1.1.3 ...

 * dependency graph for media-sound/alsa-utils-1.1.3
 `--  media-sound/alsa-utils-1.1.3  ~amd64
   `--  media-libs/alsa-lib-1.1.3  (>=media-libs/alsa-lib-1.1.3) ~amd64
   `--  media-libs/libsamplerate-0.1.9  (media-libs/libsamplerate) amd64
   `--  sys-libs/ncurses-6.0-r1  (>=sys-libs/ncurses-5.7-r7) amd64
   `--  sci-libs/fftw-3.3.6_p1  (sci-libs/fftw) ~amd64
   `--  virtual/pkgconfig-0-r1  (virtual/pkgconfig) amd64
   `--  app-text/xmlto-0.0.28-r1  (app-text/xmlto) ~amd64
   `--  sec-policy/selinux-alsa-2.20170204-r3  (sec-policy/selinux-alsa) ~amd64
[ media-sound/alsa-utils-1.1.3 stats: packages (8), max depth (1) ]


ebuild metadata for license:
Code:
$ equery meta alsa-utils
 * media-sound/alsa-utils [gentoo]
Maintainer:  alsa-bugs@gentoo.org
Upstream:    None specified
Homepage:    http://www.alsa-project.org/
Location:    /usr/portage/media-sound/alsa-utils
Keywords:    1.0.29:0.9:
Keywords:    1.1.2:0.9: alpha amd64 arm hppa ia64 ppc ppc64 sparc x86
Keywords:    1.1.3:0.9: ~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86
License:     GPL-2



app-portage/portage-utils provides so called Q applets which include qdepends. Unfortunately it only seems to show depgraphs for installed ebuilds
Code:

$ qdepends tint2
x11-misc/tint2-0.12.12: dev-libs/glib:2 >=media-libs/imlib2-1.4.2[X,png] x11-libs/cairo[X] x11-libs/pango x11-libs/gtk+:2 x11-libs/libX11 x11-libs/libXcomposite x11-libs/libXdamage x11-libs/libXinerama >=x11-libs/libXrandr-1.3 x11-libs/libXrender sys-devel/make >=dev-util/cmake-3.6.3 >=sys-apps/sed-4
Back to top
View user's profile Send private message
beandog
Developer
Developer


Joined: 04 May 2003
Posts: 2032
Location: /usa/utah

PostPosted: Fri Jul 21, 2017 7:40 pm    Post subject: Reply with quote

I don't know what direction you're going, but you may be interested to know we have ACCEPT_LICENSE in make.conf that can be used if you want to restrict to certain ones. Some people like to do full OSS only, etc.

Edit: also, if you want to browse the tree by license, you can do that on znurt - http://fr.znurt.org/licenses
_________________
If it ain't broke, tweak it. packages | dvds | blurays | blog
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo Chat All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum